# Keycloak

Wiki Cafe's configuration for a Keycloak deployment. Originally slimmed down from an `abra` [recipe](https://git.coopcloud.tech/coop-cloud/keycloak) by [Co-op Cloud](https://coopcloud.tech/).


## Deploying the app with Docker Swarm

Set the environment variables from the .env file during the shell session.

```
set -a && source .env && set +a
```

Set the secrets.

```
printf "SECRET_HERE" | docker secret create SECRET_NAME -
```

Deploy using the `-c` flag to specify one or multiple compose files.

```
docker stack deploy keycloak -c compose.yaml
```
